{
  "name": "@portenez/ts-hello",
  "version": "1.0.0",
  "description": "Example typescript npm module built with GitLab",
  "main": "lib/index.js",
  "types": "lib/index.d.ts",
  "scripts": {
    "build": "tsc",
    "prepare": "npm run build",
    "test": "jest --coverage"
  },
  "files": [
    "lib"
  ],
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com/vgarcia.dev/gitlab-ci-npm-ts.git"
  },
  "author": "Vic Garcia <info@vgarcia.dev>",
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/vgarcia.dev/gitlab-ci-npm-ts/issues"
  },
  "homepage": "https://gitlab.com/vgarcia.dev/gitlab-ci-npm-ts",
  "devDependencies": {
    "@commitlint/cli": "^8.2.0",
    "@commitlint/config-conventional": "^8.2.0",
    "@semantic-release/changelog": "^3.0.4",
    "@semantic-release/git": "^7.0.16",
    "@semantic-release/gitlab": "^4.0.0",
    "@types/jest": "^24.0.18",
    "cz-conventional-changelog": "3.0.2",
    "husky": "^3.0.5",
    "jest": "^24.9.0",
    "semantic-release": "^15.13.24",
    "ts-jest": "^24.1.0",
    "typescript": "^3.6.3"
  },
  "config": {
    "commitizen": {
      "path": "./node_modules/cz-conventional-changelog"
    }
  },
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS",
      "pre-push": "lab ci lint"
    }
  }
}
